#!/usr/bin/perl

# Default values
$Harness = "./basic-harness-judyehonly.sh";
$Iters = 10;

# The N values are not exact, due to the naive random generator algorithm
# I'm using ... some values (e.g. 700) will give a lot of repeats.  We want
# to cover the entire space if possible, 1/2 the space at worst.
#           7e2, 7e3,  7e4,   7e5,    7e6,    
@Count2N = (720, 7000, 70000, 700100, 6997770, );

print "\n\n";
print "Test 2: Insert sequential then delete all\n";
print "\n\n";
for ($count = 0; $count <= $#Count2N; $count++) {
    $n = $Count2N[$count];
    system("$Harness -i $Iters " .
	   "insert_seq $n " .
	   "traverse_forward " .
	   "delete_all " .
	   "");
}

exit(0);
