#!/usr/bin/perl

# Default values
$Harness = "./basic-harness.sh";
$Iters = 10;

# The N values are not exact, due to the naive random generator algorithm
# I'm using ... some values (e.g. 700) will give a lot of repeats.  We want
# to cover the entire space if possible, 1/2 the space at worst.
#           7e2, 7e3,  7e4,   7e5,    7e6,    
@Count2N = (720, 7000, 70000, 700100, 6997770, );
#           7e2, 7e3,  7e4,   7e5,    7e6,      2*7e6,    3*7e6
#@Count2N = (720, 7000, 70000, 700100, 6997770, 14007154, 21007154);

print "\n\n";
print "Test 1: Redo the things that need to be redone for set\n";
print "\n\n";
for ($count = 0; $count <= $#Count2N; $count++) {
    $n = $Count2N[$count];
    $Iters = 5 if $n > 17 * 1000 * 1000;
    system("$Harness -i $Iters " .
	   "insert_rand $n " .
	   "self_ps " .
	   "delete_all " .
	   "traverse_forward"
	   );
}

exit(0);
