#!/bin/sh

# Default values
iters=3
module=test

doloop () {
    for method in judyeh 
    do
	echo ""
	echo "The current time is:" `date`
	echo ""
	i=0
	while [ $i -lt $iters ]
	do
	    set -x
	    erlj -noinput \
		-s $module do $method $* \
	    	-s erlang halt
	    set +x
	    i=`expr $i + 1`
	done
    done
}

case $1 in
    -i)
	iters=$2
	shift
	shift
    ;;
    -*)
	echo "usage: $0 [-i #-iterations] test string of words..."
	exit 1
    ;;
esac

doloop $*

exit 0
